package com.sw.mes.yb.pc.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.utils.RequestPage;
import com.sw.mes.yb.pc.entity.CrucibleCheckDataItem;
import org.springframework.data.jpa.domain.Specification;

import java.util.List;

public interface CrucibleCheckDataItemService extends BaseService<CrucibleCheckDataItem> {

    List<CrucibleCheckDataItem> findByExample(Specification<CrucibleCheckDataItem> specification, RequestPage page);

    void saveInBatch(List<CrucibleCheckDataItem> itemList);
    
    @Override
    List<CrucibleCheckDataItem> findAll();

    List<CrucibleCheckDataItem> findByCheckData_Id(Long checkDataId);

    void deleteByCheckDataId(Long checkDataId);
}
